#pragma once
//#include "nine.h"
#include "Pack.h"
#include "Player.h"
#include "Money.h"
#include "NameDlg.h"
#include "Adjustment.h"
#include "pageview.h"
#include "messagebox.h"
#include "myimage.h"

class AFX_CLASS_EXPORT CDecoration
{
public:
	CDecoration(void);
	~CDecoration(void);
	void SetBGGame(CDC* pDC, const int& number_bg);
	CWnd* m_pParent;
	void InitDecoration(CWnd* pParent, bool net_game);
	//   
	void SetTableGame(CDC* pDC, const int& number_table);
	void SetTableCoordinate(void);
	POINT m_ptCoordinateTable[4][9];
	SIZE m_SizeCard;
	//  
	CPack m_Pack;
	SIZE GetTableCardSize(void);
	void OnSize(const int& cx, const int& cy);
	//     
	POINT GetTableCardsPos(const int& mast, const int& value);
	POINT GetPlayersCardPos(const int& player, const int& number_cards, const int& card_pos);
	int m_NUMBERPLAYERS;
	//     
	int GetNumberPlayerCards(const int& player);
	//    
	void RightPlayerCards(const int& player);

private:
	//    
	void RightUserCards(void);
public:
	CLabel m_mainLabel;
	void DoDistr(const int& distr_player);
	bool Check4Nine4Tuz(void);
	CPlayer m_Player[4];
	CMoney m_Money;
	CBankGame m_BankGame;
	void AnimMoneyToBank(const int& player);
	void AnimMoneyToPlayer(const int& player);
	void SetDC(CDC* pDC);
	int m_numberBGGames;
	int m_numberTableGames;
	CNameDlg m_dlgUserName;
	void SetPlayersName(void);
	//       
	CAdjustment* m_pAdjustment;
	LRESULT OnPublicSetting(WPARAM wParam, LPARAM lParam);
	//   
	int m_maxMoney;
	//  ,   
	int m_RateGame;
	//        
	//    (    )
	bool m_DifficultGame;
	int m_numberShirt;
	//      
	bool m_RequestName;
	//    
	bool m_Sound;
	int MessageWnd(CString str, int flag);
	//     
	enum {MMB_OK=4, MMB_OKCANCEL=8} ;
	void EndMessageWnd(void);
	CMessageBox* m_pMessageBox;
	//              
	void ReadSettingFromReg(HKEY hkey);
	void WriteSettingToReg(HKEY hkey);
	CMyImage m_TableImage;
	CMyImage m_ShirtImage;
	//   
	CBrush	m_BrushBG;
	//       .
	void SetSound(bool sound);
	//      .
	bool m_ChatVisible;

	//     
	void HelpApp(void);
};
